org.eclnt.editor.tools

## Class ExpressionNodeManager

- java.lang.Object
- - org.eclnt.editor.tools.ExpressionNodeManager

- All Implemented Interfaces:
    IToolUI

      public abstract class ExpressionNodeManager
      extends java.lang.Object
      implements IToolUI

  Class to be overridden when implementing the logic part of the Expression Explorer tool. Pay attention: this class is loaded in the classloader that the layout editor builds up per project. You may not have access to all your environment in the same way as if running within your web application!

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ProjectInfo` | `m_currentProjectInfo`
    `protected java.util.List<ExpressionNode>` | `m_rootNodes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionNodeManager()` The Layout Editor expects an empty, public constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ExpressionNode>` | `getRootNodes()` Access to `m_rootNodes`.
    `abstract void` | `loadRootNodesForPage(ProjectInfo project, java.lang.String pageName)` Purpose of this method is to (re)fill the rootNodes with the current data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.editor.tools.IToolUI

      `prepare`

- - ### Field Detail

    - #### m_currentProjectInfo

          protected ProjectInfo m_currentProjectInfo

    - #### m_rootNodes

          protected java.util.List<ExpressionNode> m_rootNodes

  - ### Constructor Detail

    - #### ExpressionNodeManager

          public ExpressionNodeManager()

      The Layout Editor expects an empty, public constructor.

  - ### Method Detail

    - #### getRootNodes

          public java.util.List<ExpressionNode> getRootNodes()

      Access to `m_rootNodes`. Before accessing the root nodes the Expression Explorer will first requiest to load them by calling `loadRootNodesForPage(ProjectInfo, String)`.

    - #### loadRootNodesForPage

          public abstract void loadRootNodesForPage(ProjectInfo project,
                                                    java.lang.String pageName)

      Purpose of this method is to (re)fill the rootNodes with the current data. Create the roor nodes and append them to `m_rootNodes`. The method is called by the Layout Manager prior to calling `getRootNodes()`.

Copyright © CaptainCasa Gmbh. All Rights Reserved.